Organizations
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
PATCH | |
DELETE | |
GET | |
POST | |
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
POST | |
GET | |
POST | |
GET |
Create cross project dashboards tiles
Tiles on one cross-project dashboard, edited one at a time.
Writes are per tile rather than a whole-set replace, so two people editing the same dashboard cannot overwrite each other's tiles.
Required API key scopes
cross_project_dashboard:writePath parameters
- dashboard_idstring
Request parameters
- project_idinteger
- insight_idinteger
- layouts
- colorstring | null
- filters_overrides
Response
Example request
POST /api /organizations /:organization_id /cross_project_dashboards /:dashboard_id /tilesExample response
Status 201
Retrieve cross project dashboards tiles
Tiles on one cross-project dashboard, edited one at a time.
Writes are per tile rather than a whole-set replace, so two people editing the same dashboard cannot overwrite each other's tiles.
Required API key scopes
cross_project_dashboard:readPath parameters
- dashboard_idstring
- idstring
Response
Example request
GET /api /organizations /:organization_id /cross_project_dashboards /:dashboard_id /tiles /:idExample response
Status 200
Update cross project dashboards tiles
Tiles on one cross-project dashboard, edited one at a time.
Writes are per tile rather than a whole-set replace, so two people editing the same dashboard cannot overwrite each other's tiles.
Required API key scopes
cross_project_dashboard:writePath parameters
- dashboard_idstring
- idstring
Request parameters
- layouts
- colorstring | null
- filters_overrides
Response
Example request
PATCH /api /organizations /:organization_id /cross_project_dashboards /:dashboard_id /tiles /:idExample response
Status 200
Delete cross project dashboards tiles
Tiles on one cross-project dashboard, edited one at a time.
Writes are per tile rather than a whole-set replace, so two people editing the same dashboard cannot overwrite each other's tiles.
Required API key scopes
cross_project_dashboard:writePath parameters
- dashboard_idstring
- idstring
Example request
DELETE /api /organizations /:organization_id /cross_project_dashboards /:dashboard_id /tiles /:idExample response
Status 204 No response body
Retrieve cross project dashboards
Dashboards the organization owns, holding insights from one or more projects.
Required API key scopes
cross_project_dashboard:readPath parameters
- idstring
Response
Example request
GET /api /organizations /:organization_id /cross_project_dashboards /:idExample response
Status 200
Update cross project dashboards
Dashboards the organization owns, holding insights from one or more projects.
Required API key scopes
cross_project_dashboard:writePath parameters
- idstring
Request parameters
- namestring
- descriptionstringDefault:
- filters
Response
Example request
PATCH /api /organizations /:organization_id /cross_project_dashboards /:idExample response
Status 200
Delete cross project dashboards
Dashboards the organization owns, holding insights from one or more projects.
Required API key scopes
cross_project_dashboard:writePath parameters
- idstring
Example request
DELETE /api /organizations /:organization_id /cross_project_dashboards /:idExample response
Status 204 No response body
List all org organizations desktop beta terms
Required API key scopes
organization:readResponse
Example request
GET /api /organizations /:organization_id /desktop_beta_termsExample response
Status 200
Create org organizations desktop beta terms
Required API key scopes
organization:writeResponse
Example request
POST /api /organizations /:organization_id /desktop_beta_termsExample response
Status 200
List all domains
Required API key scopes
organization:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /organizations /:organization_id /domainsExample response
Status 200
Create domains
Required API key scopes
organization:writeRequest parameters
- domainstring
- jit_provisioning_enabledboolean
- sso_enforcementstring
Response
Example request
POST /api /organizations /:organization_id /domainsExample response
Status 201
Retrieve domains
Required API key scopes
organization:readPath parameters
- idstring
Response
Example request
GET /api /organizations /:organization_id /domains /:idExample response
Status 200
Update domains
Required API key scopes
organization:writePath parameters
- idstring
Request parameters
- domainstring
- jit_provisioning_enabledboolean
- sso_enforcementstring
Response
Example request
PATCH /api /organizations /:organization_id /domains /:idExample response
Status 200
Delete domains
Required API key scopes
organization:writePath parameters
- idstring
Example request
DELETE /api /organizations /:organization_id /domains /:idExample response
Status 204 No response body
Retrieve domains scim logs
Path parameters
- idstring
Query parameters
- afterstring
- beforestring
- pageinteger
- page_sizeinteger
- searchstring
- status_maxinteger
- status_mininteger
Response
Example request
GET /api /organizations /:organization_id /domains /:id /scim /logsExample response
Status 200
Create domains verify
Path parameters
- idstring
Request parameters
- domainstring
- jit_provisioning_enabledboolean
- sso_enforcementstring
Example request
POST /api /organizations /:organization_id /domains /:id /verifyExample response
Status 200 No response body
List all identity provider configs
Required API key scopes
organization:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /organizations /:organization_id /identity_provider_configsExample response
Status 200
Create identity provider configs
Required API key scopes
organization:writeRequest parameters
- namestring
- domain_scope
- config_scope
- organization_domain_idsarray
- oidc_issuer_url
- oidc_client_idstring
- oidc_client_secretstring
- saml_entity_idstring | null
- saml_acs_urlstring | null
- saml_x509_certstring | null
- scim_enabledboolean
- id_jag_issuer_urlstring | null
- id_jag_jwks_urlstring | null
- id_jag_allowed_clientsarray
Response
Example request
POST /api /organizations /:organization_id /identity_provider_configsExample response
Status 201
Retrieve identity provider configs
Required API key scopes
organization:readPath parameters
- idstring
Response
Example request
GET /api /organizations /:organization_id /identity_provider_configs /:id










